stunnel: adjust initscript

Use proper status messages, make spacing standard instead of a mix of
spacing/tabbing, drop boringly obvious comment from the header.

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
This commit is contained in:
Gustavo Zacarias 2014-12-15 19:56:27 -03:00 committed by Peter Korsgaard
parent 48a9e431d8
commit d98be88165

View file

@ -1,36 +1,35 @@
#!/bin/sh
#
# Starts stunnel
#
start() {
echo -n "Starting stunnel: "
start-stop-daemon -S -q -p /var/run/stunnel.pid --exec /usr/bin/stunnel
echo "OK"
echo -n "Starting stunnel: "
start-stop-daemon -S -q -p /var/run/stunnel.pid --exec /usr/bin/stunnel
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
echo -n "Stopping stunnel: "
start-stop-daemon -K -q -p /var/run/stunnel.pid
echo "OK"
echo -n "Stopping stunnel: "
start-stop-daemon -K -q -p /var/run/stunnel.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
stop
start
}
case "$1" in
start)
start
;;
start
;;
stop)
stop
;;
stop
;;
restart|reload)
restart
;;
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?